libstdc++ deprecation warning

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

libstdc++ deprecation warning

Xin Wang via cfe-dev
When I build using libstdc++ on a Mac, I get a warning:

clang: warning: libstdc++ is deprecated; move to libc++ with a minimum
deployment target of OS X 10.9 [-Wdeprecated]

I'm just wondering, why does it specify a deployment target of 10.9?  As
far as I know, libc++ should be able to go back to 10.7.
_______________________________________________
cfe-dev mailing list
[hidden email]
http://lists.llvm.org/cgi-bin/mailman/listinfo/cfe-dev
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: libstdc++ deprecation warning

Xin Wang via cfe-dev
Hi James,

On 5 July 2017 at 15:11, James Walker via cfe-dev
<[hidden email]> wrote:
> I'm just wondering, why does it specify a deployment target of 10.9?  As far
> as I know, libc++ should be able to go back to 10.7.

libc++ existed but the shared library from older versions of macOS had
compatibility issues with the headers included in a modern XCode. You
might be lucky deploying to 10.7, but it's an unsupported
configuration.

Cheers.

Tim.
_______________________________________________
cfe-dev mailing list
[hidden email]
http://lists.llvm.org/cgi-bin/mailman/listinfo/cfe-dev
Loading...